/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TbpmrulesPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "RULECODE")
    private String rulecode;
    @Basic(optional = false)
    @Column(name = "COMPANYCODE")
    private long companycode;

    public TbpmrulesPK() {
    }

    public TbpmrulesPK(String rulecode, long companycode) {
        this.rulecode = rulecode;
        this.companycode = companycode;
    }

    public String getRulecode() {
        return rulecode;
    }

    public void setRulecode(String rulecode) {
        this.rulecode = rulecode;
    }

    public long getCompanycode() {
        return companycode;
    }

    public void setCompanycode(long companycode) {
        this.companycode = companycode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rulecode != null ? rulecode.hashCode() : 0);
        hash += (int) companycode;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TbpmrulesPK)) {
            return false;
        }
        TbpmrulesPK other = (TbpmrulesPK) object;
        if ((this.rulecode == null && other.rulecode != null) || (this.rulecode != null && !this.rulecode.equals(other.rulecode))) {
            return false;
        }
        if (this.companycode != other.companycode) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TbpmrulesPK[ rulecode=" + rulecode + ", companycode=" + companycode + " ]";
    }
    
}
